package com.xy.dto.SysWorkUser;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.util.List;

@Data
@ApiModel("业务用户新增请求")
@Accessors(chain = true)
public class AddDto {


    @ApiModelProperty(value = "系统ID", required = true)
    @NotBlank(message = "未选择系统")
    private Long sysId;

    @ApiModelProperty(value = "账号", required = true)
    @NotBlank(message = "账号不可为空")
    private String account;


    @ApiModelProperty(value = "邮箱", required = false)
    private String email;


    @ApiModelProperty(value = "手机", required = true)
    @NotBlank(message = "手机号不可为空")
    private String phone;


    @ApiModelProperty(value = "密码", required = true)
    @NotBlank(message = "密码不可为空")
    private String password;


    @ApiModelProperty(value = "状态", required = false)
    private Boolean status;

    @ApiModelProperty(value = "角色ID(数组)", required = false)
    private List<Long> roleIds;

    @ApiModelProperty(value = "部门ID(数组)", required = false)
    private List<Long> deptIds;


}
