package com.xy.dto.SysWorkUser;

import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

@Data
@ApiModel("业务用户分页请求")
@Accessors(chain = true)
public class PageDto {


    @ApiModelProperty("分页对象")
    private PageBean page;

    @ApiModelProperty(value = "系统ID", required = true)
    @NotBlank(message = "未选择系统")
    private Long sysId;

    @ApiModelProperty(value = "账号", required = false)
    private String account;


    @ApiModelProperty(value = "邮箱", required = false)
    private String email;


    @ApiModelProperty(value = "手机", required = false)
    private String phone;


    @ApiModelProperty(value = "状态", required = false)
    private Boolean status;

    @ApiModelProperty(value = "角色（多个（,）逗号隔开）", required = true)
    private String roleIds;


}
