package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.SysWorkUser.AddDto;
import com.xy.dto.SysWorkUser.PageDto;
import com.xy.dto.SysWorkUser.UpdateDto;
import com.xy.utils.PageBean;
import com.xy.utils.R;
import com.xy.vo.SysWorkUserVo;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import javax.validation.Valid;

/***
 * 业务用户服务类
 * @author 谭斌
 * @date 2022/12/13 19:06
 */
@RestMappingController("sysWorkUser")
public interface SysWorkUserService {


    @ApiOperation(value = "新增业务用户信息", notes = "新增业务用户信息")
    @PostMapping("add")
    R<Boolean> add(@Valid @RequestBody AddDto addDto);

    @ApiOperation(value = "更新业务用户信息", notes = "更新业务用户信息")
    @PostMapping("update")
    R<Boolean> update(@Valid @RequestBody UpdateDto updateDto);

    @ApiOperation(value = "分页获取业务用户信息", notes = "分页获取角色信息")
    @PostMapping("page")
    R<PageBean<SysWorkUserVo>> page(PageDto dto);

}
